<%|define("conf_key_cat")|<%(%ad_category!="")%ad_category::*%>%>
<%|define("conf_key_type")|<%(%type!="")%type::a%>%>
<%|define("conf_key_limit")|&concat("delete2bump.", %ad_status, ".duplicate.limit.", %conf_key_cat, ".", %conf_key_type)%>
SELECT *
FROM get_ads_by_uid(
 <%(%uid != "")%uid::0%>,
 '<%%email%>',
 '<%%ad_status%>',
 <%(%ad_category != "")'%ad_category'::NULL%>,
 <%(?ad_id && %ad_id != "")'%ad_id'::NULL%>,
 <%(%type != "")'%type'::NULL%>,
 <%(%region != "")'%region'::NULL%>,
 <%($(%conf_key_limit) == "")0::$(%conf_key_limit)%>
);
